libconfig-any-perl_0.24-1_all.deb


Advertisement

Description

libconfig-any-perl - module to load configuration from different file formats

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libconfig-any-perl
Package version: 0.24
Package release: 1
Package architecture: all
Package type: deb
Installed size: 97 B
Download size: 35.43 KB
Official Mirror: ftp.br.debian.org
Config::Any provides a facility for Perl applications and libraries to load configuration data from multiple different file formats. It supports XML, YAML, JSON, Apache-style configuration, Windows INI files, and even Perl code. The rationale for this module is as follows: Perl programs are deployed on many different platforms and integrated with many different systems. Systems administrators and end users may prefer different configuration formats than the developers. The flexibility inherent in a multiple format configuration loader allows different users to make different choices, without generating extra work for the developers. As a developer you only need to learn a single interface to be able to use the power of different configuration formats.

Alternatives

    Download

    Source package: libconfig-any-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libconfig-any-perl deb package:
      # sudo apt-get install libconfig-any-perl

    Files

    • /usr/share/doc/libconfig-any-perl/changelog.Debian.gz
    • /usr/share/doc/libconfig-any-perl/changelog.gz
    • /usr/share/doc/libconfig-any-perl/copyright
    • /usr/share/man/man3/Config::Any.3pm.gz
    • /usr/share/man/man3/Config::Any::Base.3pm.gz
    • /usr/share/man/man3/Config::Any::General.3pm.gz
    • /usr/share/man/man3/Config::Any::INI.3pm.gz
    • /usr/share/man/man3/Config::Any::JSON.3pm.gz
    • /usr/share/man/man3/Config::Any::Perl.3pm.gz
    • /usr/share/man/man3/Config::Any::XML.3pm.gz
    • /usr/share/man/man3/Config::Any::YAML.3pm.gz
    • /usr/share/perl5/Config/Any.pm
    • /usr/share/perl5/Config/Any/Base.pm
    • /usr/share/perl5/Config/Any/General.pm
    • /usr/share/perl5/Config/Any/INI.pm
    • /usr/share/perl5/Config/Any/JSON.pm
    • /usr/share/perl5/Config/Any/Perl.pm
    • /usr/share/perl5/Config/Any/XML.pm
    • /usr/share/perl5/Config/Any/YAML.pm

    Changelog

    2013-09-16 - Salvatore Bonaccorso <carnil@debian.org> libconfig-any-perl (0.24-1) unstable; urgency=low * Imported Upstream version 0.24 * Update copyright years for included Module::Install copy * Update copyright years for upstream files * Add alternative for JSON:PP (in perl core since 5.13.9) Add alternative Build-Depends-Depends and Recommends for JSON::PP. Alternative perl (>= 5.13.9) | libjson-pp-perl to libjson-perl.

    2013-08-12 - Salvatore Bonaccorso <carnil@debian.org> libconfig-any-perl (0.23-2) unstable; urgency=low * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs * Adjust (build-)dependency for Module::Pluggable. Module::Pluggable will be removed from Perl core in 5.20 and emits now a warning with 5.18. Add Build-Depends-Indep and Depends on alternate libmodule-pluggable-perl | perl (<< 5.17.0). Thanks to Dominic Hargreaves <dom@earth.li> (Closes: #711653) * Bump Standards-Version to 3.9.4 * Bump Debhelper compat level to 8. Adjust versioned Build-Depends for debhelper to (>= 8). * Update copyright years for debian/* packaging

    2012-05-27 - Salvatore Bonaccorso <carnil@debian.org> libconfig-any-perl (0.23-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * New upstream release * Update debian/copyright file. Update format to copyright-format 1.0 as released together with Debian policy 3.9.3. Update copyright years for debian/* packaging. * Simplify dependency for libyaml-syck-perl. Change versioned (Build-)Depends(-Indep) for libyaml-syck-perl in alternatives to unversioned dependency. The required version is already satisfied in squeeze. * Bump Standards-Version to 3.9.3

    2011-07-04 - Salvatore Bonaccorso <carnil@debian.org> libconfig-any-perl (0.22-1) unstable; urgency=low * New upstream release

    2011-05-26 - Salvatore Bonaccorso <carnil@debian.org> libconfig-any-perl (0.21-1) unstable; urgency=low [ Ansgar Burchardt ] * Email change: Ansgar Burchardt -> ansgar@debian.org [ Salvatore Bonaccorso ] * New upstream release * Email change: Salvatore Bonaccorso -> carnil@debian.org * debian/copyright: - Update copyright years for debian/* packaging. - Update copyright years for upstream files and included Module::Install. - Refer to Debian systems in general instead of only Debian GNU/Linux systems. * Bump Standards-Version to 3.9.2.

    2010-08-06 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> libconfig-any-perl (0.20-1) unstable; urgency=low * New upstream release * debian/copyright: Explicitly reference GPL-1 text in common- licenses. * debian/control: - Drop versioned Depends on perl (>= 5.10.0) as this version is already in stable and the Depends is covered by ${perl:Depends}. - Make versioned Build-Depends-Indep on perl (>= 5.10.0) unversioned to perl as this version is already in stable. - Drop (Build-)Depends(-Indep) on libmodule-pluggable-perl. * Bump Standards-Version to 3.9.1. * Convert to '3.0 (quilt)' source package format.

    2010-02-16 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> libconfig-any-perl (0.19-1) unstable; urgency=low * New upstream release * Add myself to Uploaders. * Referesh debian/copyright and update Copyright years. * Bump Standards-Version to 3.8.4 (no changes).

    Advertisement
    Advertisement